Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui
[Java] Class ConsoleTextEditor

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JScrollPane
                      groovy.ui.ConsoleTextEditor

    public class ConsoleTextEditor
    extends javax.swing.JScrollPane

Component which provides a styled editor for the console.

Authors:
  hippy
  Danno Ferrin
  Tim Yates
  Guillaume Laforge

Field Summary

Fields inherited from class javax.swing.JScrollPane
VIEWPORT, VERTICAL_SCROLLBAR, HORIZONTAL_SCROLLBAR, ROW_HEADER, COLUMN_HEADER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, LOWER_LEADING_CORNER, LOWER_TRAILING_CORNER, UPPER_LEADING_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR_POLICY, HORIZONTAL_SCROLLBAR_POLICY, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_ALWAYS, WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class javax.swing.JComponent
WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Method Summary
`java.lang.Object` | `ConsoleTextEditor()`
`boolean` | `clipBoardAvailable()`
`java.lang.String` | `getDefaultFamily()`
`javax.swing.Action` | `getPrintAction()`
`javax.swing.Action` | `getRedoAction()`
`TextEditor` | `getTextEditor()`
`javax.swing.Action` | `getUndoAction()`
`protected void` | `initActions()`
`void` | `setDefaultFamily(java.lang.String defaultFamily)`
`void` | `setEditable(boolean editable)`
`void` | `setShowLineNumbers(boolean showLineNumbers)`

Methods inherited from class javax.swing.JScrollPane
javax.swing.JScrollPane#getUIClassID(), javax.swing.JScrollPane#setUI(javax.swing.plaf.ScrollPaneUI), javax.swing.JScrollPane#updateUI(), javax.swing.JScrollPane#getUI(), javax.swing.JScrollPane#getViewport(), javax.swing.JScrollPane#setColumnHeaderView(java.awt.Component), javax.swing.JScrollPane#getCorner(java.lang.String), javax.swing.JScrollPane#setCorner(java.lang.String, java.awt.Component), javax.swing.JScrollPane#getVerticalScrollBarPolicy(), javax.swing.JScrollPane#setVerticalScrollBarPolicy(int), javax.swing.JScrollPane#getHorizontalScrollBarPolicy(), javax.swing.JScrollPane#setHorizontalScrollBarPolicy(int), javax.swing.JScrollPane#getViewportBorder(), javax.swing.JScrollPane#setViewportBorder(javax.swing.border.Border), javax.swing.JScrollPane#getViewportBorderBounds(), javax.swing.JScrollPane#createHorizontalScrollBar(), javax.swing.JScrollPane#getHorizontalScrollBar(), javax.swing.JScrollPane#setHorizontalScrollBar(javax.swing.JScrollBar), javax.swing.JScrollPane#createVerticalScrollBar(), javax.swing.JScrollPane#getVerticalScrollBar(), javax.swing.JScrollPane#setVerticalScrollBar(javax.swing.JScrollBar), javax.swing.JScrollPane#setViewport(javax.swing.JViewport), javax.swing.JScrollPane#setViewportView(java.awt.Component), javax.swing.JScrollPane#getRowHeader(), javax.swing.JScrollPane#setRowHeader(javax.swing.JViewport), javax.swing.JScrollPane#setRowHeaderView(java.awt.Component), javax.swing.JScrollPane#getColumnHeader(), javax.swing.JScrollPane#setColumnHeader(javax.swing.JViewport), javax.swing.JScrollPane#isWheelScrollingEnabled(), javax.swing.JScrollPane#setWheelScrollingEnabled(boolean), javax.swing.JScrollPane#setLayout(java.awt.LayoutManager), javax.swing.JScrollPane#setComponentOrientation(java.awt.ComponentOrientation), javax.swing.JScrollPane#getAccessibleContext(), javax.swing.JScrollPane#isValidateRoot(), javax.swing.JScrollPane#addAncestorListener(javax.swing.event.AncestorListener), javax.swing.JScrollPane#setInheritsPopupMenu(boolean), javax.swing.JScrollPane#getInheritsPopupMenu(), javax.swing.JScrollPane#setComponentPopupMenu(javax.swing.JPopupMenu), javax.swing.JScrollPane#getComponentPopupMenu(), javax.swing.JScrollPane#isPaintingTile(), javax.swing.JScrollPane#isPaintingForPrint(), javax.swing.JScrollPane#isManagingFocus(), javax.swing.JScrollPane#setNextFocusableComponent(java.awt.Component), javax.swing.JScrollPane#getNextFocusableComponent(), javax.swing.JScrollPane#setRequestFocusEnabled(boolean), javax.swing.JScrollPane#isRequestFocusEnabled(), javax.swing.JScrollPane#grabFocus(), javax.swing.JScrollPane#setVerifyInputWhenFocusTarget(boolean), javax.swing.JScrollPane#getVerifyInputWhenFocusTarget(), javax.swing.JScrollPane#setBorder(javax.swing.border.Border), javax.swing.JScrollPane#getBorder(), javax.swing.JScrollPane#setAlignmentY(float), javax.swing.JScrollPane#setAlignmentX(float), javax.swing.JScrollPane#setInputVerifier(javax.swing.InputVerifier), javax.swing.JScrollPane#getInputVerifier(), javax.swing.JScrollPane#setDebugGraphicsOptions(int), javax.swing.JScrollPane#getDebugGraphicsOptions(), javax.swing.JScrollPane#registerKeyboardAction(java.awt.event.ActionListener, java.lang.String, javax.swing.KeyStroke, int), javax.swing.JScrollPane#registerKeyboardAction(java.awt.event.ActionListener, javax.swing.KeyStroke, int), javax.swing.JScrollPane#unregisterKeyboardAction(javax.swing.KeyStroke), javax.swing.JScrollPane#getRegisteredKeyStrokes(), javax.swing.JScrollPane#getConditionForKeyStroke(javax.swing.KeyStroke), javax.swing.JScrollPane#getActionForKeyStroke(javax.swing.KeyStroke), javax.swing.JScrollPane#resetKeyboardActions(), javax.swing.JScrollPane#setInputMap(int, javax.swing.InputMap), javax.swing.JScrollPane#getInputMap(int), javax.swing.JScrollPane#getInputMap(), javax.swing.JScrollPane#setActionMap(javax.swing.ActionMap), javax.swing.JScrollPane#getActionMap(), javax.swing.JScrollPane#requestDefaultFocus(), javax.swing.JScrollPane#getDefaultLocale(), javax.swing.JScrollPane#setDefaultLocale(java.util.Locale), javax.swing.JScrollPane#setToolTipText(java.lang.String), javax.swing.JScrollPane#getToolTipText(), javax.swing.JScrollPane#getToolTipText(java.awt.event.MouseEvent), javax.swing.JScrollPane#getToolTipLocation(java.awt.event.MouseEvent), javax.swing.JScrollPane#getPopupLocation(java.awt.event.MouseEvent), javax.swing.JScrollPane#createToolTip(), javax.swing.JScrollPane#scrollRectToVisible(java.awt.Rectangle), javax.swing.JScrollPane#setAutoscrolls(boolean), javax.swing.JScrollPane#getAutoscrolls(), javax.swing.JScrollPane#setTransferHandler(javax.swing.TransferHandler), javax.swing.JScrollPane#getTransferHandler(), javax.swing.JScrollPane#getClientProperty(java.lang.Object), javax.swing.JScrollPane#putClientProperty(java.lang.Object, java.lang.Object), javax.swing.JScrollPane#isLightweightComponent(java.awt.Component), javax.swing.JScrollPane#computeVisibleRect(java.awt.Rectangle), javax.swing.JScrollPane#getVisibleRect(), javax.swing.JScrollPane#addVetoableChangeListener(java.beans.VetoableChangeListener), javax.swing.JScrollPane#removeVetoableChangeListener(java.beans.VetoableChangeListener), javax.swing.JScrollPane#getVetoableChangeListeners(), javax.swing.JScrollPane#getTopLevelAncestor(), javax.swing.JScrollPane#removeAncestorListener(javax.swing.event.AncestorListener), javax.swing.JScrollPane#getAncestorListeners(), javax.swing.JScrollPane#isOptimizedDrawingEnabled(), javax.swing.JScrollPane#paintImmediately(int, int, int, int), javax.swing.JScrollPane#paintImmediately(java.awt.Rectangle), javax.swing.JScrollPane#setDoubleBuffered(boolean), javax.swing.JScrollPane#contains(int, int), javax.swing.JScrollPane#getLocation(java.awt.Point), javax.swing.JScrollPane#print(java.awt.Graphics), javax.swing.JScrollPane#getSize(java.awt.Dimension), javax.swing.JScrollPane#update(java.awt.Graphics), javax.swing.JScrollPane#isOpaque(), javax.swing.JScrollPane#enable(), javax.swing.JScrollPane#disable(), javax.swing.JScrollPane#getBounds(java.awt.Rectangle), javax.swing.JScrollPane#setOpaque(boolean), javax.swing.JScrollPane#getRootPane(), javax.swing.JScrollPane#setEnabled(boolean), javax.swing.JScrollPane#isDoubleBuffered(), javax.swing.JScrollPane#setVisible(boolean), javax.swing.JScrollPane#setForeground(java.awt.Color), javax.swing.JScrollPane#setBackground(java.awt.Color), javax.swing.JScrollPane#setFont(java.awt.Font), javax.swing.JScrollPane#reshape(int, int, int, int), javax.swing.JScrollPane#getX(), javax.swing.JScrollPane#getY(), javax.swing.JScrollPane#getWidth(), javax.swing.JScrollPane#getHeight(), javax.swing.JScrollPane#setPreferredSize(java.awt.Dimension), javax.swing.JScrollPane#getPreferredSize(), javax.swing.JScrollPane#setMinimumSize(java.awt.Dimension), javax.swing.JScrollPane#getMinimumSize(), javax.swing.JScrollPane#setMaximumSize(java.awt.Dimension), javax.swing.JScrollPane#getMaximumSize(), javax.swing.JScrollPane#getAlignmentX(), javax.swing.JScrollPane#getAlignmentY(), javax.swing.JScrollPane#getBaseline(int, int), javax.swing.JScrollPane#getBaselineResizeBehavior(), javax.swing.JScrollPane#revalidate(), javax.swing.JScrollPane#getGraphics(), javax.swing.JScrollPane#getFontMetrics(java.awt.Font), javax.swing.JScrollPane#paint(java.awt.Graphics), javax.swing.JScrollPane#repaint(long, int, int, int, int), javax.swing.JScrollPane#repaint(java.awt.Rectangle), javax.swing.JScrollPane#printAll(java.awt.Graphics), javax.swing.JScrollPane#getListeners(java.lang.Class), javax.swing.JScrollPane#addNotify(), javax.swing.JScrollPane#removeNotify(), javax.swing.JScrollPane#setFocusTraversalKeys(int, java.util.Set), javax.swing.JScrollPane#requestFocus(), javax.swing.JScrollPane#requestFocus(boolean), javax.swing.JScrollPane#requestFocusInWindow(), javax.swing.JScrollPane#firePropertyChange(java.lang.String, boolean, boolean), javax.swing.JScrollPane#firePropertyChange(java.lang.String, int, int), javax.swing.JScrollPane#firePropertyChange(java.lang.String, char, char), javax.swing.JScrollPane#getInsets(), javax.swing.JScrollPane#getInsets(java.awt.Insets), javax.swing.JScrollPane#add(java.awt.Component), javax.swing.JScrollPane#add(java.lang.String, java.awt.Component), javax.swing.JScrollPane#add(java.awt.Component, int), javax.swing.JScrollPane#add(java.awt.Component, java.lang.Object), javax.swing.JScrollPane#add(java.awt.Component, java.lang.Object, int), javax.swing.JScrollPane#list(java.io.PrintStream, int), javax.swing.JScrollPane#list(java.io.PrintWriter, int), javax.swing.JScrollPane#remove(int), javax.swing.JScrollPane#remove(java.awt.Component), javax.swing.JScrollPane#removeAll(), javax.swing.JScrollPane#doLayout(), javax.swing.JScrollPane#layout(), javax.swing.JScrollPane#getLayout(), javax.swing.JScrollPane#validate(), javax.swing.JScrollPane#setFocusCycleRoot(boolean), javax.swing.JScrollPane#insets(), javax.swing.JScrollPane#setComponentZOrder(java.awt.Component, int), javax.swing.JScrollPane#paintComponents(java.awt.Graphics), javax.swing.JScrollPane#printComponents(java.awt.Graphics), javax.swing.JScrollPane#addContainerListener(java.awt.event.ContainerListener), javax.swing.JScrollPane#removeContainerListener(java.awt.event.ContainerListener), javax.swing.JScrollPane#getContainerListeners(), javax.swing.JScrollPane#isAncestorOf(java.awt.Component), javax.swing.JScrollPane#setFocusTraversalPolicy(java.awt.FocusTraversalPolicy), javax.swing.JScrollPane#isFocusTraversalPolicySet(), javax.swing.JScrollPane#setFocusTraversalPolicyProvider(boolean), javax.swing.JScrollPane#isFocusTraversalPolicyProvider(), javax.swing.JScrollPane#transferFocusDownCycle(), javax.swing.JScrollPane#getMousePosition(boolean), javax.swing.JScrollPane#preferredSize(), javax.swing.JScrollPane#minimumSize(), javax.swing.JScrollPane#invalidate(), javax.swing.JScrollPane#getComponentAt(int, int), javax.swing.JScrollPane#getComponentAt(java.awt.Point), javax.swing.JScrollPane#locate(int, int), javax.swing.JScrollPane#deliverEvent(java.awt.Event), javax.swing.JScrollPane#getFocusTraversalKeys(int), javax.swing.JScrollPane#areFocusTraversalKeysSet(int), javax.swing.JScrollPane#isFocusCycleRoot(java.awt.Container), javax.swing.JScrollPane#isFocusCycleRoot(), javax.swing.JScrollPane#addPropertyChangeListener(java.beans.PropertyChangeListener), javax.swing.JScrollPane#addPropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener), javax.swing.JScrollPane#applyComponentOrientation(java.awt.ComponentOrientation), javax.swing.JScrollPane#findComponentAt(int, int), javax.swing.JScrollPane#findComponentAt(java.awt.Point), javax.swing.JScrollPane#countComponents(), javax.swing.JScrollPane#getFocusTraversalPolicy(), javax.swing.JScrollPane#getComponents(), javax.swing.JScrollPane#getComponentZOrder(java.awt.Component), javax.swing.JScrollPane#getComponent(int), javax.swing.JScrollPane#getComponentCount(), javax.swing.JScrollPane#add(java.awt.PopupMenu), javax.swing.JScrollPane#toString(), javax.swing.JScrollPane#getName(), javax.swing.JScrollPane#size(), javax.swing.JScrollPane#contains(java.awt.Point), javax.swing.JScrollPane#list(), javax.swing.JScrollPane#list(java.io.PrintStream), javax.swing.JScrollPane#list(java.io.PrintWriter), javax.swing.JScrollPane#getParent(), javax.swing.JScrollPane#getLocation(), javax.swing.JScrollPane#remove(java.awt.MenuComponent), javax.swing.JScrollPane#setName(java.lang.String), javax.swing.JScrollPane#getSize(), javax.swing.JScrollPane#isValid(), javax.swing.JScrollPane#action(java.awt.Event, java.lang.Object), javax.swing.JScrollPane#setSize(int, int), javax.swing.JScrollPane#setSize(java.awt.Dimension), javax.swing.JScrollPane#resize(int, int), javax.swing.JScrollPane#resize(java.awt.Dimension), javax.swing.JScrollPane#location(), javax.swing.JScrollPane#enable(boolean), javax.swing.JScrollPane#getLocale(), javax.swing.JScrollPane#setLocale(java.util.Locale), javax.swing.JScrollPane#bounds(), javax.swing.JScrollPane#getBounds(), javax.swing.JScrollPane#isEnabled(), javax.swing.JScrollPane#move(int, int), javax.swing.JScrollPane#isLightweight(), javax.swing.JScrollPane#isDisplayable(), javax.swing.JScrollPane#isVisible(), javax.swing.JScrollPane#getPeer(), javax.swing.JScrollPane#setDropTarget(java.awt.dnd.DropTarget), javax.swing.JScrollPane#getDropTarget(), javax.swing.JScrollPane#getGraphicsConfiguration(), javax.swing.JScrollPane#getTreeLock(), javax.swing.JScrollPane#getToolkit(), javax.swing.JScrollPane#getMousePosition(), javax.swing.JScrollPane#isShowing(), javax.swing.JScrollPane#enableInputMethods(boolean), javax.swing.JScrollPane#show(), javax.swing.JScrollPane#show(boolean), javax.swing.JScrollPane#hide(), javax.swing.JScrollPane#getForeground(), javax.swing.JScrollPane#isForegroundSet(), javax.swing.JScrollPane#getBackground(), javax.swing.JScrollPane#isBackgroundSet(), javax.swing.JScrollPane#getFont(), javax.swing.JScrollPane#isFontSet(), javax.swing.JScrollPane#getColorModel(), javax.swing.JScrollPane#getLocationOnScreen(), javax.swing.JScrollPane#setLocation(int, int), javax.swing.JScrollPane#setLocation(java.awt.Point), javax.swing.JScrollPane#setBounds(int, int, int, int), javax.swing.JScrollPane#setBounds(java.awt.Rectangle), javax.swing.JScrollPane#isPreferredSizeSet(), javax.swing.JScrollPane#isMinimumSizeSet(), javax.swing.JScrollPane#isMaximumSizeSet(), javax.swing.JScrollPane#setCursor(java.awt.Cursor), javax.swing.JScrollPane#getCursor(), javax.swing.JScrollPane#isCursorSet(), javax.swing.JScrollPane#paintAll(java.awt.Graphics), javax.swing.JScrollPane#repaint(), javax.swing.JScrollPane#repaint(long), javax.swing.JScrollPane#repaint(int, int, int, int), javax.swing.JScrollPane#imageUpdate(java.awt.Image, int, int, int, int, int), javax.swing.JScrollPane#createImage(java.awt.image.ImageProducer), javax.swing.JScrollPane#createImage(int, int), javax.swing.JScrollPane#createVolatileImage(int, int), javax.swing.JScrollPane#createVolatileImage(int, int, java.awt.ImageCapabilities), javax.swing.JScrollPane#prepareImage(java.awt.Image, java.awt.image.ImageObserver), javax.swing.JScrollPane#prepareImage(java.awt.Image, int, int, java.awt.image.ImageObserver), javax.swing.JScrollPane#checkImage(java.awt.Image, java.awt.image.ImageObserver), javax.swing.JScrollPane#checkImage(java.awt.Image, int, int, java.awt.image.ImageObserver), javax.swing.JScrollPane#setIgnoreRepaint(boolean), javax.swing.JScrollPane#getIgnoreRepaint(), javax.swing.JScrollPane#inside(int, int), javax.swing.JScrollPane#dispatchEvent(java.awt.AWTEvent), javax.swing.JScrollPane#postEvent(java.awt.Event), javax.swing.JScrollPane#addComponentListener(java.awt.event.ComponentListener), javax.swing.JScrollPane#removeComponentListener(java.awt.event.ComponentListener), javax.swing.JScrollPane#getComponentListeners(), javax.swing.JScrollPane#addFocusListener(java.awt.event.FocusListener), javax.swing.JScrollPane#removeFocusListener(java.awt.event.FocusListener), javax.swing.JScrollPane#getFocusListeners(), javax.swing.JScrollPane#addHierarchyListener(java.awt.event.HierarchyListener), javax.swing.JScrollPane#removeHierarchyListener(java.awt.event.HierarchyListener), javax.swing.JScrollPane#getHierarchyListeners(), javax.swing.JScrollPane#addHierarchyBoundsListener(java.awt.event.HierarchyBoundsListener), javax.swing.JScrollPane#removeHierarchyBoundsListener(java.awt.event.HierarchyBoundsListener), javax.swing.JScrollPane#getHierarchyBoundsListeners(), javax.swing.JScrollPane#addKeyListener(java.awt.event.KeyListener), javax.swing.JScrollPane#removeKeyListener(java.awt.event.KeyListener), javax.swing.JScrollPane#getKeyListeners(), javax.swing.JScrollPane#addMouseListener(java.awt.event.MouseListener), javax.swing.JScrollPane#removeMouseListener(java.awt.event.MouseListener), javax.swing.JScrollPane#getMouseListeners(), javax.swing.JScrollPane#addMouseMotionListener(java.awt.event.MouseMotionListener), javax.swing.JScrollPane#removeMouseMotionListener(java.awt.event.MouseMotionListener), javax.swing.JScrollPane#getMouseMotionListeners(), javax.swing.JScrollPane#addMouseWheelListener(java.awt.event.MouseWheelListener), javax.swing.JScrollPane#removeMouseWheelListener(java.awt.event.MouseWheelListener), javax.swing.JScrollPane#getMouseWheelListeners(), javax.swing.JScrollPane#addInputMethodListener(java.awt.event.InputMethodListener), javax.swing.JScrollPane#removeInputMethodListener(java.awt.event.InputMethodListener), javax.swing.JScrollPane#getInputMethodListeners(), javax.swing.JScrollPane#getInputMethodRequests(), javax.swing.JScrollPane#getInputContext(), javax.swing.JScrollPane#handleEvent(java.awt.Event), javax.swing.JScrollPane#mouseDown(java.awt.Event, int, int), javax.swing.JScrollPane#mouseDrag(java.awt.Event, int, int), javax.swing.JScrollPane#mouseUp(java.awt.Event, int, int), javax.swing.JScrollPane#mouseMove(java.awt.Event, int, int), javax.swing.JScrollPane#mouseEnter(java.awt.Event, int, int), javax.swing.JScrollPane#mouseExit(java.awt.Event, int, int), javax.swing.JScrollPane#keyDown(java.awt.Event, int), javax.swing.JScrollPane#keyUp(java.awt.Event, int), javax.swing.JScrollPane#gotFocus(java.awt.Event, java.lang.Object), javax.swing.JScrollPane#lostFocus(java.awt.Event, java.lang.Object), javax.swing.JScrollPane#isFocusTraversable(), javax.swing.JScrollPane#isFocusable(), javax.swing.JScrollPane#setFocusable(boolean), javax.swing.JScrollPane#setFocusTraversalKeysEnabled(boolean), javax.swing.JScrollPane#getFocusTraversalKeysEnabled(), javax.swing.JScrollPane#getFocusCycleRootAncestor(), javax.swing.JScrollPane#transferFocus(), javax.swing.JScrollPane#nextFocus(), javax.swing.JScrollPane#transferFocusBackward(), javax.swing.JScrollPane#transferFocusUpCycle(), javax.swing.JScrollPane#hasFocus(), javax.swing.JScrollPane#isFocusOwner(), javax.swing.JScrollPane#removePropertyChangeListener(java.beans.PropertyChangeListener), javax.swing.JScrollPane#removePropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener), javax.swing.JScrollPane#getPropertyChangeListeners(), javax.swing.JScrollPane#getPropertyChangeListeners(java.lang.String), javax.swing.JScrollPane#firePropertyChange(java.lang.String, byte, byte), javax.swing.JScrollPane#firePropertyChange(java.lang.String, short, short), javax.swing.JScrollPane#firePropertyChange(java.lang.String, long, long), javax.swing.JScrollPane#firePropertyChange(java.lang.String, float, float), javax.swing.JScrollPane#firePropertyChange(java.lang.String, double, double), javax.swing.JScrollPane#getComponentOrientation(), javax.swing.JScrollPane#wait(long), javax.swing.JScrollPane#wait(long, int), javax.swing.JScrollPane#wait(), javax.swing.JScrollPane#equals(java.lang.Object), javax.swing.JScrollPane#hashCode(), javax.swing.JScrollPane#getClass(), javax.swing.JScrollPane#notify(), javax.swing.JScrollPane#notifyAll()

Methods inherited from class javax.swing.JComponent
javax.swing.JComponent#getUIClassID(), javax.swing.JComponent#updateUI(), javax.swing.JComponent#addAncestorListener(javax.swing.event.AncestorListener), javax.swing.JComponent#setInheritsPopupMenu(boolean), javax.swing.JComponent#getInheritsPopupMenu(), javax.swing.JComponent#setComponentPopupMenu(javax.swing.JPopupMenu), javax.swing.JComponent#getComponentPopupMenu(), javax.swing.JComponent#isPaintingTile(), javax.swing.JComponent#isPaintingForPrint(), javax.swing.JComponent#isManagingFocus(), javax.swing.JComponent#setNextFocusableComponent(java.awt.Component), javax.swing.JComponent#getNextFocusableComponent(), javax.swing.JComponent#setRequestFocusEnabled(boolean), javax.swing.JComponent#isRequestFocusEnabled(), javax.swing.JComponent#grabFocus(), javax.swing.JComponent#setVerifyInputWhenFocusTarget(boolean), javax.swing.JComponent#getVerifyInputWhenFocusTarget(), javax.swing.JComponent#setBorder(javax.swing.border.Border), javax.swing.JComponent#getBorder(), javax.swing.JComponent#setAlignmentY(float), javax.swing.JComponent#setAlignmentX(float), javax.swing.JComponent#setInputVerifier(javax.swing.InputVerifier), javax.swing.JComponent#getInputVerifier(), javax.swing.JComponent#setDebugGraphicsOptions(int), javax.swing.JComponent#getDebugGraphicsOptions(), javax.swing.JComponent#registerKeyboardAction(java.awt.event.ActionListener, java.lang.String, javax.swing.KeyStroke, int), javax.swing.JComponent#registerKeyboardAction(java.awt.event.ActionListener, javax.swing.KeyStroke, int), javax.swing.JComponent#unregisterKeyboardAction(javax.swing.KeyStroke), javax.swing.JComponent#getRegisteredKeyStrokes(), javax.swing.JComponent#getConditionForKeyStroke(javax.swing.KeyStroke), javax.swing.JComponent#getActionForKeyStroke(javax.swing.KeyStroke), javax.swing.JComponent#resetKeyboardActions(), javax.swing.JComponent#setInputMap(int, javax.swing.InputMap), javax.swing.JComponent#getInputMap(int), javax.swing.JComponent#getInputMap(), javax.swing.JComponent#setActionMap(javax.swing.ActionMap), javax.swing.JComponent#getActionMap(), javax.swing.JComponent#requestDefaultFocus(), javax.swing.JComponent#getDefaultLocale(), javax.swing.JComponent#setDefaultLocale(java.util.Locale), javax.swing.JComponent#setToolTipText(java.lang.String), javax.swing.JComponent#getToolTipText(), javax.swing.JComponent#getToolTipText(java.awt.event.MouseEvent), javax.swing.JComponent#getToolTipLocation(java.awt.event.MouseEvent), javax.swing.JComponent#getPopupLocation(java.awt.event.MouseEvent), javax.swing.JComponent#createToolTip(), javax.swing.JComponent#scrollRectToVisible(java.awt.Rectangle), javax.swing.JComponent#setAutoscrolls(boolean), javax.swing.JComponent#getAutoscrolls(), javax.swing.JComponent#setTransferHandler(javax.swing.TransferHandler), javax.swing.JComponent#getTransferHandler(), javax.swing.JComponent#getClientProperty(java.lang.Object), javax.swing.JComponent#putClientProperty(java.lang.Object, java.lang.Object), javax.swing.JComponent#isLightweightComponent(java.awt.Component), javax.swing.JComponent#computeVisibleRect(java.awt.Rectangle), javax.swing.JComponent#getVisibleRect(), javax.swing.JComponent#addVetoableChangeListener(java.beans.VetoableChangeListener), javax.swing.JComponent#removeVetoableChangeListener(java.beans.VetoableChangeListener), javax.swing.JComponent#getVetoableChangeListeners(), javax.swing.JComponent#getTopLevelAncestor(), javax.swing.JComponent#removeAncestorListener(javax.swing.event.AncestorListener), javax.swing.JComponent#getAncestorListeners(), javax.swing.JComponent#isOptimizedDrawingEnabled(), javax.swing.JComponent#paintImmediately(int, int, int, int), javax.swing.JComponent#paintImmediately(java.awt.Rectangle), javax.swing.JComponent#setDoubleBuffered(boolean), javax.swing.JComponent#contains(int, int), javax.swing.JComponent#getLocation(java.awt.Point), javax.swing.JComponent#print(java.awt.Graphics), javax.swing.JComponent#getSize(java.awt.Dimension), javax.swing.JComponent#update(java.awt.Graphics), javax.swing.JComponent#isOpaque(), javax.swing.JComponent#enable(), javax.swing.JComponent#disable(), javax.swing.JComponent#getBounds(java.awt.Rectangle), javax.swing.JComponent#setOpaque(boolean), javax.swing.JComponent#getRootPane(), javax.swing.JComponent#setEnabled(boolean), javax.swing.JComponent#isDoubleBuffered(), javax.swing.JComponent#setVisible(boolean), javax.swing.JComponent#setForeground(java.awt.Color), javax.swing.JComponent#setBackground(java.awt.Color), javax.swing.JComponent#setFont(java.awt.Font), javax.swing.JComponent#reshape(int, int, int, int), javax.swing.JComponent#getX(), javax.swing.JComponent#getY(), javax.swing.JComponent#getWidth(), javax.swing.JComponent#getHeight(), javax.swing.JComponent#setPreferredSize(java.awt.Dimension), javax.swing.JComponent#getPreferredSize(), javax.swing.JComponent#setMinimumSize(java.awt.Dimension), javax.swing.JComponent#getMinimumSize(), javax.swing.JComponent#setMaximumSize(java.awt.Dimension), javax.swing.JComponent#getMaximumSize(), javax.swing.JComponent#getAlignmentX(), javax.swing.JComponent#getAlignmentY(), javax.swing.JComponent#getBaseline(int, int), javax.swing.JComponent#getBaselineResizeBehavior(), javax.swing.JComponent#revalidate(), javax.swing.JComponent#getGraphics(), javax.swing.JComponent#getFontMetrics(java.awt.Font), javax.swing.JComponent#paint(java.awt.Graphics), javax.swing.JComponent#repaint(long, int, int, int, int), javax.swing.JComponent#repaint(java.awt.Rectangle), javax.swing.JComponent#printAll(java.awt.Graphics), javax.swing.JComponent#getListeners(java.lang.Class), javax.swing.JComponent#addNotify(), javax.swing.JComponent#removeNotify(), javax.swing.JComponent#setFocusTraversalKeys(int, java.util.Set), javax.swing.JComponent#requestFocus(), javax.swing.JComponent#requestFocus(boolean), javax.swing.JComponent#requestFocusInWindow(), javax.swing.JComponent#firePropertyChange(java.lang.String, boolean, boolean), javax.swing.JComponent#firePropertyChange(java.lang.String, int, int), javax.swing.JComponent#firePropertyChange(java.lang.String, char, char), javax.swing.JComponent#getAccessibleContext(), javax.swing.JComponent#isValidateRoot(), javax.swing.JComponent#getInsets(), javax.swing.JComponent#getInsets(java.awt.Insets), javax.swing.JComponent#add(java.awt.Component), javax.swing.JComponent#add(java.lang.String, java.awt.Component), javax.swing.JComponent#add(java.awt.Component, int), javax.swing.JComponent#add(java.awt.Component, java.lang.Object), javax.swing.JComponent#add(java.awt.Component, java.lang.Object, int), javax.swing.JComponent#list(java.io.PrintStream, int), javax.swing.JComponent#list(java.io.PrintWriter, int), javax.swing.JComponent#remove(int), javax.swing.JComponent#remove(java.awt.Component), javax.swing.JComponent#removeAll(), javax.swing.JComponent#doLayout(), javax.swing.JComponent#setLayout(java.awt.LayoutManager), javax.swing.JComponent#layout(), javax.swing.JComponent#getLayout(), javax.swing.JComponent#validate(), javax.swing.JComponent#setFocusCycleRoot(boolean), javax.swing.JComponent#insets(), javax.swing.JComponent#setComponentZOrder(java.awt.Component, int), javax.swing.JComponent#paintComponents(java.awt.Graphics), javax.swing.JComponent#printComponents(java.awt.Graphics), javax.swing.JComponent#addContainerListener(java.awt.event.ContainerListener), javax.swing.JComponent#removeContainerListener(java.awt.event.ContainerListener), javax.swing.JComponent#getContainerListeners(), javax.swing.JComponent#isAncestorOf(java.awt.Component), javax.swing.JComponent#setFocusTraversalPolicy(java.awt.FocusTraversalPolicy), javax.swing.JComponent#isFocusTraversalPolicySet(), javax.swing.JComponent#setFocusTraversalPolicyProvider(boolean), javax.swing.JComponent#isFocusTraversalPolicyProvider(), javax.swing.JComponent#transferFocusDownCycle(), javax.swing.JComponent#getMousePosition(boolean), javax.swing.JComponent#preferredSize(), javax.swing.JComponent#minimumSize(), javax.swing.JComponent#invalidate(), javax.swing.JComponent#getComponentAt(int, int), javax.swing.JComponent#getComponentAt(java.awt.Point), javax.swing.JComponent#locate(int, int), javax.swing.JComponent#deliverEvent(java.awt.Event), javax.swing.JComponent#getFocusTraversalKeys(int), javax.swing.JComponent#areFocusTraversalKeysSet(int), javax.swing.JComponent#isFocusCycleRoot(java.awt.Container), javax.swing.JComponent#isFocusCycleRoot(), javax.swing.JComponent#addPropertyChangeListener(java.beans.PropertyChangeListener), javax.swing.JComponent#addPropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener), javax.swing.JComponent#applyComponentOrientation(java.awt.ComponentOrientation), javax.swing.JComponent#findComponentAt(int, int), javax.swing.JComponent#findComponentAt(java.awt.Point), javax.swing.JComponent#countComponents(), javax.swing.JComponent#getFocusTraversalPolicy(), javax.swing.JComponent#getComponents(), javax.swing.JComponent#getComponentZOrder(java.awt.Component), javax.swing.JComponent#getComponent(int), javax.swing.JComponent#getComponentCount(), javax.swing.JComponent#add(java.awt.PopupMenu), javax.swing.JComponent#toString(), javax.swing.JComponent#getName(), javax.swing.JComponent#size(), javax.swing.JComponent#contains(java.awt.Point), javax.swing.JComponent#list(), javax.swing.JComponent#list(java.io.PrintStream), javax.swing.JComponent#list(java.io.PrintWriter), javax.swing.JComponent#getParent(), javax.swing.JComponent#getLocation(), javax.swing.JComponent#remove(java.awt.MenuComponent), javax.swing.JComponent#setName(java.lang.String), javax.swing.JComponent#getSize(), javax.swing.JComponent#isValid(), javax.swing.JComponent#action(java.awt.Event, java.lang.Object), javax.swing.JComponent#setSize(int, int), javax.swing.JComponent#setSize(java.awt.Dimension), javax.swing.JComponent#resize(int, int), javax.swing.JComponent#resize(java.awt.Dimension), javax.swing.JComponent#location(), javax.swing.JComponent#enable(boolean), javax.swing.JComponent#getLocale(), javax.swing.JComponent#setLocale(java.util.Locale), javax.swing.JComponent#bounds(), javax.swing.JComponent#getBounds(), javax.swing.JComponent#isEnabled(), javax.swing.JComponent#move(int, int), javax.swing.JComponent#isLightweight(), javax.swing.JComponent#isDisplayable(), javax.swing.JComponent#isVisible(), javax.swing.JComponent#getPeer(), javax.swing.JComponent#setDropTarget(java.awt.dnd.DropTarget), javax.swing.JComponent#getDropTarget(), javax.swing.JComponent#getGraphicsConfiguration(), javax.swing.JComponent#getTreeLock(), javax.swing.JComponent#getToolkit(), javax.swing.JComponent#getMousePosition(), javax.swing.JComponent#isShowing(), javax.swing.JComponent#enableInputMethods(boolean), javax.swing.JComponent#show(), javax.swing.JComponent#show(boolean), javax.swing.JComponent#hide(), javax.swing.JComponent#getForeground(), javax.swing.JComponent#isForegroundSet(), javax.swing.JComponent#getBackground(), javax.swing.JComponent#isBackgroundSet(), javax.swing.JComponent#getFont(), javax.swing.JComponent#isFontSet(), javax.swing.JComponent#getColorModel(), javax.swing.JComponent#getLocationOnScreen(), javax.swing.JComponent#setLocation(int, int), javax.swing.JComponent#setLocation(java.awt.Point), javax.swing.JComponent#setBounds(int, int, int, int), javax.swing.JComponent#setBounds(java.awt.Rectangle), javax.swing.JComponent#isPreferredSizeSet(), javax.swing.JComponent#isMinimumSizeSet(), javax.swing.JComponent#isMaximumSizeSet(), javax.swing.JComponent#setCursor(java.awt.Cursor), javax.swing.JComponent#getCursor(), javax.swing.JComponent#isCursorSet(), javax.swing.JComponent#paintAll(java.awt.Graphics), javax.swing.JComponent#repaint(), javax.swing.JComponent#repaint(long), javax.swing.JComponent#repaint(int, int, int, int), javax.swing.JComponent#imageUpdate(java.awt.Image, int, int, int, int, int), javax.swing.JComponent#createImage(java.awt.image.ImageProducer), javax.swing.JComponent#createImage(int, int), javax.swing.JComponent#createVolatileImage(int, int), javax.swing.JComponent#createVolatileImage(int, int, java.awt.ImageCapabilities), javax.swing.JComponent#prepareImage(java.awt.Image, java.awt.image.ImageObserver), javax.swing.JComponent#prepareImage(java.awt.Image, int, int, java.awt.image.ImageObserver), javax.swing.JComponent#checkImage(java.awt.Image, java.awt.image.ImageObserver), javax.swing.JComponent#checkImage(java.awt.Image, int, int, java.awt.image.ImageObserver), javax.swing.JComponent#setIgnoreRepaint(boolean), javax.swing.JComponent#getIgnoreRepaint(), javax.swing.JComponent#inside(int, int), javax.swing.JComponent#dispatchEvent(java.awt.AWTEvent), javax.swing.JComponent#postEvent(java.awt.Event), javax.swing.JComponent#addComponentListener(java.awt.event.ComponentListener), javax.swing.JComponent#removeComponentListener(java.awt.event.ComponentListener), javax.swing.JComponent#getComponentListeners(), javax.swing.JComponent#addFocusListener(java.awt.event.FocusListener), javax.swing.JComponent#removeFocusListener(java.awt.event.FocusListener), javax.swing.JComponent#getFocusListeners(), javax.swing.JComponent#addHierarchyListener(java.awt.event.HierarchyListener), javax.swing.JComponent#removeHierarchyListener(java.awt.event.HierarchyListener), javax.swing.JComponent#getHierarchyListeners(), javax.swing.JComponent#addHierarchyBoundsListener(java.awt.event.HierarchyBoundsListener), javax.swing.JComponent#removeHierarchyBoundsListener(java.awt.event.HierarchyBoundsListener), javax.swing.JComponent#getHierarchyBoundsListeners(), javax.swing.JComponent#addKeyListener(java.awt.event.KeyListener), javax.swing.JComponent#removeKeyListener(java.awt.event.KeyListener), javax.swing.JComponent#getKeyListeners(), javax.swing.JComponent#addMouseListener(java.awt.event.MouseListener), javax.swing.JComponent#removeMouseListener(java.awt.event.MouseListener), javax.swing.JComponent#getMouseListeners(), javax.swing.JComponent#addMouseMotionListener(java.awt.event.MouseMotionListener), javax.swing.JComponent#removeMouseMotionListener(java.awt.event.MouseMotionListener), javax.swing.JComponent#getMouseMotionListeners(), javax.swing.JComponent#addMouseWheelListener(java.awt.event.MouseWheelListener), javax.swing.JComponent#removeMouseWheelListener(java.awt.event.MouseWheelListener), javax.swing.JComponent#getMouseWheelListeners(), javax.swing.JComponent#addInputMethodListener(java.awt.event.InputMethodListener), javax.swing.JComponent#removeInputMethodListener(java.awt.event.InputMethodListener), javax.swing.JComponent#getInputMethodListeners(), javax.swing.JComponent#getInputMethodRequests(), javax.swing.JComponent#getInputContext(), javax.swing.JComponent#handleEvent(java.awt.Event), javax.swing.JComponent#mouseDown(java.awt.Event, int, int), javax.swing.JComponent#mouseDrag(java.awt.Event, int, int), javax.swing.JComponent#mouseUp(java.awt.Event, int, int), javax.swing.JComponent#mouseMove(java.awt.Event, int, int), javax.swing.JComponent#mouseEnter(java.awt.Event, int, int), javax.swing.JComponent#mouseExit(java.awt.Event, int, int), javax.swing.JComponent#keyDown(java.awt.Event, int), javax.swing.JComponent#keyUp(java.awt.Event, int), javax.swing.JComponent#gotFocus(java.awt.Event, java.lang.Object), javax.swing.JComponent#lostFocus(java.awt.Event, java.lang.Object), javax.swing.JComponent#isFocusTraversable(), javax.swing.JComponent#isFocusable(), javax.swing.JComponent#setFocusable(boolean), javax.swing.JComponent#setFocusTraversalKeysEnabled(boolean), javax.swing.JComponent#getFocusTraversalKeysEnabled(), javax.swing.JComponent#getFocusCycleRootAncestor(), javax.swing.JComponent#transferFocus(), javax.swing.JComponent#nextFocus(), javax.swing.JComponent#transferFocusBackward(), javax.swing.JComponent#transferFocusUpCycle(), javax.swing.JComponent#hasFocus(), javax.swing.JComponent#isFocusOwner(), javax.swing.JComponent#removePropertyChangeListener(java.beans.PropertyChangeListener), javax.swing.JComponent#removePropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener), javax.swing.JComponent#getPropertyChangeListeners(), javax.swing.JComponent#getPropertyChangeListeners(java.lang.String), javax.swing.JComponent#firePropertyChange(java.lang.String, byte, byte), javax.swing.JComponent#firePropertyChange(java.lang.String, short, short), javax.swing.JComponent#firePropertyChange(java.lang.String, long, long), javax.swing.JComponent#firePropertyChange(java.lang.String, float, float), javax.swing.JComponent#firePropertyChange(java.lang.String, double, double), javax.swing.JComponent#setComponentOrientation(java.awt.ComponentOrientation), javax.swing.JComponent#getComponentOrientation(), javax.swing.JComponent#wait(long), javax.swing.JComponent#wait(long, int), javax.swing.JComponent#wait(), javax.swing.JComponent#equals(java.lang.Object), javax.swing.JComponent#hashCode(), javax.swing.JComponent#getClass(), javax.swing.JComponent#notify(), javax.swing.JComponent#notifyAll()

Method Detail

### ConsoleTextEditor

    public java.lang.Object ConsoleTextEditor()

### clipBoardAvailable

    public boolean clipBoardAvailable()

### getDefaultFamily

    public java.lang.String getDefaultFamily()

### getPrintAction

    public javax.swing.Action getPrintAction()

### getRedoAction

    public javax.swing.Action getRedoAction()

### getTextEditor

    public TextEditor getTextEditor()

### getUndoAction

    public javax.swing.Action getUndoAction()

### initActions

    protected void initActions()

### setDefaultFamily

    public void setDefaultFamily(java.lang.String defaultFamily)

### setEditable

    public void setEditable(boolean editable)

### setShowLineNumbers

    public void setShowLineNumbers(boolean showLineNumbers)

Groovy Documentation